com.h3c.sdn.alert

## Class AlertSummary

- java.lang.Object
- - com.h3c.sdn.alert.AlertSummary

- All Implemented Interfaces:
    Serializable

      public class AlertSummary
      extends Object
      implements Serializable

  Alert summary data representing a point in time compilation of alert data. A count of the total number of alerts found in the system and a short list of the ten alerts with the highest severity (ordered by time) is made available.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AlertSummary(long count, List<Alert> alerts, Severity highestSeverity)` Construct an alert summary data with the supplied parameters.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getAlertCount()` Returns the total count of alerts.
    `Severity` | `getHighestSeverity()` Returns the highest alert severity represented in the alert summary.
    `List<Alert>` | `getMiniAlertList()` Returns the list of alerts to be reported in the summary.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AlertSummary

          public AlertSummary(long count,
                      List<Alert> alerts,
                      Severity highestSeverity)

      Construct an alert summary data with the supplied parameters.
      Parameters:
        `count` - The total number of alerts in the summary
        `alerts` - the alert data
        `highestSeverity` - the highest reported alert severity for this summary

  - ### Method Detail

    - #### getAlertCount

          public long getAlertCount()

      Returns the total count of alerts.
      Returns:
        the count of alerts reported by this summary

    - #### getMiniAlertList

          public List<Alert> getMiniAlertList()

      Returns the list of alerts to be reported in the summary.
      Returns:
        The list of alert data reported by this summary

    - #### getHighestSeverity

          public Severity getHighestSeverity()

      Returns the highest alert severity represented in the alert summary.
      Returns:
        the highest severity reported by this summary

Copyright © 2014. All Rights Reserved.